/*
 * BL25CM1A.h
 *
 *  Created on: 7 сент. 2023 г.
 *      Author: seklyuts
 */

#ifndef SRC_BL25CM1A_H_
#define SRC_BL25CM1A_H_

#define BL25CM1A0_SIZE  0x10000 //16 bit lenght
#define BL25CM1A0_PAGE   0x100

void Bl25cm1a_en(void);

void Bl25cm1a_write_data(uint32_t Addr, uint16_t quant, uint16_t * write_data);
void Bl25cm1a_read_data(uint32_t Addr, uint16_t quant, uint16_t * read_data);
uint16_t Bl25cm1a_verify_data(uint32_t Addr, uint16_t quant, uint16_t * verify_data);
#endif /* SRC_BL25CM1A_H_ */
